
QGIS Application - Bug report #16084

Create constant raster layer not working

2017-01-16 06:52 AM - matteo ghetta

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23998

Description

QGIS master fresh compiled and at least 4 different raster data sources tried (processing/tests/testdata/raster.tif and

processing/tests/testdata/dem.tif) but always the same error:

Algorithm Create constant raster layer starting...

Can't convert 'int' object to str implicitly See log for more details

LOG:

2017-01-16T15:54:11    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/core/GeoAlgorithm.py", line 213, in execute

                self.resolveOutputs()

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/core/GeoAlgorithm.py", line 356, in resolveOutputs

                out.resolveValue(self)

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/core/outputs.py", line 110, in resolveValue

                self.value = self._resolveTemporary(alg)

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/core/outputs.py", line 101, in _resolveTemporary

                return getTempFilenameInTempFolder(self.name + '.' + ext)

            TypeError: Can't convert 'int' object to str implicitly

History

#1 - 2017-01-18 01:11 AM - Alexander Bruy

- Resolution set to fixed/implemented

- OS version deleted (sarah)

- Operating System deleted (Linux mint)

- Status changed from Open to Closed

Should be fixed in master
